
Name:		remmina
Version:	1.4.18
Release:	%mkrel 1
Summary:	GTK+ remote desktop client
Group:		Networking/Remote access
License:	GPLv2+
URL:		http://www.remmina.org/wp/
Source0:	https://github.com/FreeRDP/Remmina/archive/%{tarballdir}/Remmina-v%{version}.tar.xz
Patch0:		remmina-1.3.7-fix-destop-file.patch
Patch1:		remmina-1.4.12-icons-apps-dir.patch
BuildRequires: cmake
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64avahi-client-devel
BuildRequires: lib64avahi-core-devel
BuildRequires: lib64avahi-ui-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64dbus-1-devel
BuildRequires: lib64dbus-glib-1_2-devel
BuildRequires: lib64freerdp-devel
BuildRequires: lib64gcrypt-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gpg-error-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64json-glib-devel
BuildRequires: lib64openssl-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64secret-devel
BuildRequires: lib64soup-devel
BuildRequires: lib64ssh-devel
BuildRequires: lib64telepathy-glib-devel
BuildRequires: lib64vncserver-devel
BuildRequires: lib64vte3-devel
BuildRequires: lib64wayland-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xkbfile-devel
BuildRequires: libpthread-stubs
BuildRequires: wayland-protocols-devel
BuildRequires: lib64sodium-devel
BuildRequires: lib64spice-gtk-devel
BuildRequires: lib64usbredir-devel
BuildRequires: lib64phodav-devel

%description
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

Remmina supports multiple network protocols in an integrated and consistent
user interface. Currently RDP, VNC, XDMCP and SSH are supported.

Please don't forget to install the plugins for the protocols you want to use.

#----------------------------------------------------------------------------

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains header files for developing plugins for
%{name}.

#----------------------------------------------------------------------------

%package	plugins
Summary:	Common files for Remmina Remote Desktop Client plugins
Group:		Networking/Remote access
Requires:	%{name} = %{version}-%{release}

%description	plugins
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains files shared among all plugins for the Remmina remote
desktop client.

#----------------------------------------------------------------------------
%package	plugins-exec
Summary:	External execution plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins = %{version}-%{release}

%description    plugins-exec
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the plugin to execute external processes (commands or
applications) from the Remmina window.

#----------------------------------------------------------------------------

%package	plugins-kwallet
Summary:	KDE Wallet plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires: lib64kf5wallet-devel
Requires:	%{name}-plugins = %{version}-%{release}


%description    plugins-kwallet
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the KDE Wallet plugin for the Remmina remote
desktop client.

#----------------------------------------------------------------------------

%package	plugins-secret
Summary:	Keyring integration for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	lib64secret-devel
Requires:	%{name}-plugins = %{version}-%{release}

%description	plugins-secret
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the plugin with keyring support for the Remmina remote
desktop client.

#----------------------------------------------------------------------------

%package	plugins-nx
Summary:	NX plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:   nxproxy
Requires:	%{name}-plugins = %{version}-%{release}


%description	plugins-nx
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the NX plugin for the Remmina remote desktop client.

#----------------------------------------------------------------------------

%package	plugins-rdp
Summary:	RDP plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	lib64freerdp-devel
Requires:	%{name}-plugins = %{version}-%{release}
Requires:	freerdp >= 2.0

%description	plugins-rdp
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the Remote Desktop Protocol (RDP) plugin for the Remmina
remote desktop client.

#----------------------------------------------------------------------------

%package	plugins-st
Summary:	Socket Terminal plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins = %{version}-%{release}

%description	plugins-st
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the Socket Terminal plugin for the Remmina remote
desktop client.

#----------------------------------------------------------------------------

%package	plugins-www
Summary:	WWW plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	lib64webkit2-devel
Requires:	%{name}-plugins = %{version}-%{release}


%description	plugins-www
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the WWW plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%package	plugins-vnc
Summary:	VNC plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	lib64gnutls-devel
BuildRequires:	lib64jpeg-devel
BuildRequires:	lib64vncserver-devel
Requires:	%{name}-plugins = %{version}-%{release}

%description	plugins-vnc
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the VNC plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%package	plugins-xdmcp
Summary:	XDMCP plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins = %{version}-%{release}
Requires:	x11-server-xephyr

%description	plugins-xdmcp
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the XDMCP plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%package	plugins-spice
Summary:	SPICE plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access

%description	plugins-spice
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the SPICE plugin for the Remmina remote desktop client.


%prep
%setup -qn Remmina-v%{version}
%apply_patches

%build
%cmake -DWITH_APPINDICATOR=OFF \
       -DWITH_KIOSK_SESSION=ON \
       -DWITH_KF5WALLET=ON

%cmake_build




%install
rm -rf %buildroot
%make_install -C build

#we dont do gnome
rm -f %{buildroot}/%{_bindir}/gnome-session-remmina
rm -f %{buildroot}/%{_bindir}/remmina-gnome
rm -f %{buildroot}/%{_datadir}/applications/remmina-gnome.desktop
rm -f %{buildroot}/%{_datadir}/gnome-session/sessions/remmina-gnome.session
rm -f %{buildroot}/%{_datadir}/xsessions/remmina-gnome.desktop
   
%find_lang %{name}

desktop-file-install \
	--remove-category="X-GNOME-NetworkSettings" \
	--dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/org.%{name}.Remmina.desktop

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.%{name}.Remmina.desktop
%{_datadir}/applications/%{name}-file.desktop
%{_datadir}/metainfo/org.%{name}.Remmina.appdata.xml
%{_datadir}/mime/packages/%{name}-mime.xml
%{_iconsdir}
%{_mandir}
%{_bindir}/remmina-file-wrapper

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files plugins
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/

%files plugins-exec
%{_libdir}/%{name}/plugins/%{name}-plugin-exec.so

%files plugins-kwallet
%{_libdir}/%{name}/plugins/%{name}-plugin-kwallet.so

%files plugins-secret
%{_libdir}/%{name}/plugins/%{name}-plugin-secret.so

%files plugins-nx
%{_libdir}/%{name}/plugins/%{name}-plugin-nx.so
%{_iconsdir}/hicolor/*/emblems/%{name}-nx-*.svg

%files plugins-rdp
%{_libdir}/%{name}/plugins/%{name}-plugin-rdp.so
%{_iconsdir}/hicolor/*/emblems/%{name}-rdp-*.svg

%files plugins-st
%{_libdir}/%{name}/plugins/%{name}-plugin-st.so

%files plugins-vnc
%{_libdir}/%{name}/plugins/%{name}-plugin-vnc.so
%{_iconsdir}/hicolor/*/emblems/%{name}-vnc-*.svg

%files plugins-www
%{_libdir}/%{name}/plugins/%{name}-plugin-www.so
%{_iconsdir}/hicolor/*/emblems/%{name}-www-*.svg

%files plugins-xdmcp
%{_libdir}/%{name}/plugins/%{name}-plugin-xdmcp.so
%{_iconsdir}/hicolor/*/emblems/%{name}-xdmcp-*.svg

%files plugins-spice
%{_libdir}/%{name}/plugins/%{name}-plugin-spice.so
%{_iconsdir}/hicolor/*/emblems/%{name}-spice-*.svg


%changelog
* Sun Jun 06 2021 tex - 1.4.18-1pclos2021
- new version

* Thu May 13 2021 tex - 1.4.16-1pclos2021
- new version

* Tue May 11 2021 tex - 1.4.15-1pclos2021
- new version

* Mon May 10 2021 tex - 1.4.14-1pclos2021
- new version

* Thu Jan 14 2021 tex - 1.4.10-1pclos2021
- new version

* Fri Apr 24 2020 tex - 1.4.3-1pclos2020
- new version

* Wed Aug 28 2019 tex - 1.3.6-1pclos2019
- new version

* Mon Aug 05 2019 tex - 1.3.5-2pclos2019
- rebuild against updates
- split out plugins

* Fri Aug 02 2019 tex - 1.3.5-1pclos2019
- new version

* Sat Mar 16 2019 tex - 1.3.4-1pclos2019
- new version

* Fri Mar 01 2019 tex - 1.3.3-1pclos2019
- new

* Thu Jan 17 2019 tex - 1.2.32.1-2pclos2019
- rebuild against updates

